Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1740284 - Indian TLD ".in" whois registry update
Summary: Indian TLD ".in" whois registry update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: jwhois
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-12 14:56 UTC by William E Little Jr
Modified: 2019-10-04 20:28 UTC (History)
2 users (show)

Fixed In Version: jwhois-4.0-47.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-04 20:28:39 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github rfc1036 whois pull 77 0 None None None 2019-08-12 14:56:09 UTC

Description William E Little Jr 2019-08-12 14:56:10 UTC
Description of problem:
Related:
https://git.centos.org/rpms/whois/issue/1
https://github.com/rfc1036/whois/pull/77

The whois registry server has been updated for the Indian ".in" TLD:
https://www.iana.org/domains/root/db/in.html

This breaks whois for ".in" TLD's, e.g.:
====
$ whois google.in
[Querying whois.inregistry.net]
[Unable to connect to remote host]
====

I have a fork available here:
https://github.com/cPWilliamL/jwhois/commit/d210c4cf2be69f5edc130653c06b036a2f2f716d

Version-Release number of selected component (if applicable):
jwhois-4.0-45.el7.x86_64

How reproducible:
Every time

Steps to Reproduce:
$ whois google.in
[Querying whois.inregistry.net]
[Unable to connect to remote host]

Comment 1 Vitezslav Crhonek 2019-09-16 13:04:07 UTC
Thanks for bug report and patch!

I've updated the package in Fedora Rawhide, but I see the bug is reported for epel6... I can't do the fix there, as jwhois is part of RHEL6 and thus it's not part of epel6. I can do the fix in epel7, if that's what you meant (guessing from NVR of the component jwhois-4.0-45.el7.x86_64). Is that correct?

Comment 2 William E Little Jr 2019-09-16 17:23:36 UTC
I apologize for the confusion, you are correct, this should have been filed for epel7(I've updated the field now). Thank you for the correction.

If there is anything else I need to do, please let me know.

Comment 3 Fedora Update System 2019-09-18 07:41:10 UTC
FEDORA-EPEL-2019-f0fc6f11d3 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f0fc6f11d3

Comment 4 Vitezslav Crhonek 2019-09-18 07:43:07 UTC
Thanks, fixed!

Comment 5 Fedora Update System 2019-09-19 02:38:21 UTC
jwhois-4.0-47.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f0fc6f11d3

Comment 6 Fedora Update System 2019-10-04 20:28:39 UTC
jwhois-4.0-47.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.